=== ds9/Makefile ===
include ../make.include
include ../make.pkgs

include Makefile.$(OS)

#--------------------------support

ds9.C	: ds9.$(OS)
	cp ds9.$(OS) ds9.C

$(MAIN).o : $(MAIN).c
	$(CC) $(CFLAGS) -DTK_LOCAL_APPINIT=SAOAppInit \
	-DTK_LOCAL_MAIN_HOOK=SAOLocalMainHook -c $(MAIN).c -o $@

$(MAIN).c : $(MAINDIR)/$(MAIN).c
	cp $(MAINDIR)/$(MAIN).c .

#--------------------------cleanup

clean	: FORCE
	$(RM) core *~ *# 

FORCE	:
