=== saotk/list/Makefile ===
include ../../make.include

CXXFLAGS = $(CXXOPT) \
	-I. -I../vector -I../frame -I../colorbar -I../../include -I$(X11INCLUDE)

SRC	= list.C

INCLS	= $(wildcard *.h)
OBJS	= $(SRC:%.C=%.o)

all	: $(OBJS)

clean	: FORCE
	rm -f core *~ *#

distclean : clean
	rm -f *.o $(LIB)

FORCE	:
