=== saotk/panner/Makefile ===
include ../../make.include

CXXFLAGS = $(CXXOPT) \
	-I. -I.. -I../widget -I../vector -I../util \
	-I../../include -I$(X11INCLUDE)

SRC	= \
	panner.C \
	pannertrue.C \
	parser.C \
	lex.C

INCLS	= $(wildcard *.h)
OBJS	= $(SRC:%.C=%.o)

all	: $(OBJS)

clean	: FORCE
	rm -f core *~ *#

distclean : clean
	rm -f *.o $(LIB) parser.output

parsers	: parser

parser	: FORCE
	bison -d -p pn -o parser.C parser.Y
	flex -Ppn -olex.C lex.L

FORCE	:
