=== debian/changelog ===
saods9 (7.3.2+repack-3) unstable; urgency=low

  * Add CI tests (ds9 with and without XPA)
  * Remove unuspported BLT calls. Closes: #792122

 -- Ole Streicher <olebole@debian.org>  Sun, 12 Jul 2015 10:00:32 +0200

saods9 (7.3.2+repack-2) unstable; urgency=low

  * Create upstream/metadata with bibliographic information
  * Add simple test (ds9 -quit)

 -- Ole Streicher <olebole@debian.org>  Sun, 26 Apr 2015 14:41:18 +0200

saods9 (7.3.2+repack-1) unstable; urgency=low

  * Remove private BLT lib
  * Change version suffix to +repack since the upstream repackaging
    is not done anymore due to DFSG cleanup

 -- Ole Streicher <olebole@debian.org>  Sun, 19 Oct 2014 20:25:22 +0200

saods9 (7.3.2+dfsg-1) unstable; urgency=low

  * New upstream version.

 -- Ole Streicher <olebole@debian.org>  Wed, 08 Oct 2014 17:14:53 +0200

saods9 (7.3.1+dfsg-1) unstable; urgency=low

  * New upstream version.

 -- Ole Streicher <olebole@debian.org>  Tue, 07 Oct 2014 14:47:07 +0200

saods9 (7.3+dfsg-1) unstable; urgency=low

  * New upstream version. Move back to unstable.
  * Update config.{sub,guess} for the AArch64 port.
  * Change maintainer and VCS to debian-astro
  * Update uploaders e-mail address
  * Update standards version to 3.9.6. No changes needed.

 -- Ole Streicher <olebole@debian.org>  Thu, 02 Oct 2014 10:47:04 +0200

saods9 (7.3~b5+dfsg-1~exp1) experimental; urgency=low

  * New (beta) upstream version

 -- Ole Streicher <debian@liska.ath.cx>  Sun, 03 Nov 2013 20:38:15 +0100

saods9 (7.3~b4+dfsg-1~exp1) experimental; urgency=low

  * New (beta) upstream version

 -- Ole Streicher <debian@liska.ath.cx>  Sat, 26 Oct 2013 18:05:10 +0200

saods9 (7.3~b3+dfsg-1~exp3) experimental; urgency=low

  * Changelog update :-) Remove mixing of 7.2 and 7.3~b3

 -- Ole Streicher <debian@liska.ath.cx>  Mon, 30 Sep 2013 16:32:45 +0200

saods9 (7.3~b3+dfsg-1~exp2) experimental; urgency=low

  * Re-create configure scripts. Fixes FTBS on MIPS.

 -- Ole Streicher <debian@liska.ath.cx>  Sat, 28 Sep 2013 15:40:07 +0200

saods9 (7.3~b3+dfsg-1~exp1) experimental; urgency=low

  * New (beta) upstream version

 -- Ole Streicher <debian@liska.ath.cx>  Thu, 26 Sep 2013 19:14:34 +0200

saods9 (7.3~b2+dfsg-1~exp1) experimental; urgency=low

  * New (beta) upstream version

 -- Ole Streicher <debian@liska.ath.cx>  Thu, 01 Aug 2013 21:46:38 +0200
