=== debian/control ===
Source: saods9
Section: science
Priority: optional
Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>
Build-Depends: autotools-dev,
               blt-dev (>= 2.5.3),
               cpio,
               debhelper (>= 9),
               dh-autoreconf,
               html2text,
               libfuntools-dev,
               libstarlink-ast-dev (>= 7.0.4),
               libtk-img-dev,
               libwcstools-dev,
               libxml2-dev,
               libxrandr-dev,
               libxt-dev,
               perl,
               tcl-signal,
               tcl-xpa,
               tcl8.6-dev,
               tcllib,
               tclxml,
               tk-table (>= 2.9),
               tk8.6-dev,
               tkcon,
               xauth,
               xvfb,
               zlib1g-dev
Standards-Version: 3.9.6
Homepage: http://ds9.si.edu/
Vcs-Git: git://anonscm.debian.org/debian-astro/packages/saods9.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-astro/packages/saods9.git

Package: saods9
Architecture: any
Depends: blt (>= 2.5.3),
         libtk-img,
         saods9-data (= ${source:Version}),
         tcl-signal,
         tcl-xpa,
         tcllib,
         tclxml,
         tk-table (>= 2.9),
         tkcon,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: saods9-doc
Suggests: python-pyds9, xpa-tools
Description: Image display tool for astronomy
 SAOImage DS9 is an astronomical imaging and data visualization
 application. DS9 supports FITS images and binary tables, multiple frame
 buffers, region manipulation, and many scale algorithms and colormaps. It
 provides for easy communication with external analysis tasks and is highly
 configurable and extensible via XPA and SAMP.
 .
 All versions and platforms support a consistent set of GUI and
 functional capabilities.
 .
 DS9 supports advanced features such as 2-D, 3-D and RGB frame buffers, mosaic
 images, tiling, blinking, geometric markers, colormap manipulation, scaling,
 arbitrary zoom, cropping, rotation, pan, and a variety of coordinate
 systems.
 .
 The GUI for DS9 is user configurable. GUI elements such as the coordinate
 display, panner, magnifier, horizontal and vertical graphs, button bar, and
 color bar can be configured via menus or the command line.

Package: saods9-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Image display tool for astronomy (help files/documentation)
 SAOImage DS9 is an astronomical imaging and data visualization
 application. DS9 supports FITS images and binary tables, multiple frame
 buffers, region manipulation, and many scale algorithms and colormaps. It
 provides for easy communication with external analysis tasks and is highly
 configurable and extensible via XPA and SAMP.
 .
 This package contains the documentation and help pages.

Package: saods9-data
Architecture: all
Depends: ${misc:Depends}
Description: Image display tool for astronomy (shared data)
 SAOImage DS9 is an astronomical imaging and data visualization
 application. DS9 supports FITS images and binary tables, multiple frame
 buffers, region manipulation, and many scale algorithms and colormaps. It
 provides for easy communication with external analysis tasks and is highly
 configurable and extensible via XPA and SAMP.
 .
 This package contains the architecture independent files.
