=== debian/tests/control ===
Tests: saods9
Depends: saods9, xauth, xpa-tools, xvfb

Tests: saods9-xpa
Depends: saods9, xauth, xpa-tools, xvfb
