=== debian/watch ===
version=3
#opts=dversionmangle=s/\+repack//,uversionmangle=s/(.+)([ab].+)/$1~$2/ \
#    http://ds9.si.edu/site/Beta.html \
opts=dversionmangle=s/\+repack// \
    http://ds9.si.edu/site/Download.html \
    http://ds9.si.edu/.+/source/ds9\.(.*)\.tar\.gz \
    debian \
    debian/repack.sh
