=== debian/changelog ===
saods9 (7.4+repack-1) unstable; urgency=low

  * New stable upstream version. Closes: #799841

 -- Ole Streicher <olebole@debian.org>  Tue, 29 Dec 2015 22:20:42 +0100

saods9 (7.4~b10+repack-1) unstable; urgency=low

  * Correct patch for IRAF communication. Closes: #805641
  * New upstream beta version

 -- Ole Streicher <olebole@debian.org>  Fri, 11 Dec 2015 09:55:33 +0100

saods9 (7.4~b9+repack-1) unstable; urgency=low

  * New upstream beta version

 -- Ole Streicher <olebole@debian.org>  Wed, 18 Nov 2015 10:34:39 +0100

saods9 (7.4~b8+repack-1) unstable; urgency=low

  * New upstream beta version

 -- Ole Streicher <olebole@debian.org>  Wed, 11 Nov 2015 13:01:08 +0100

saods9 (7.4~b7+repack-4) unstable; urgency=low

  * Use external xmlrpc instead of convenience copy

 -- Ole Streicher <olebole@debian.org>  Thu, 08 Oct 2015 12:55:37 +0200

saods9 (7.4~b7+repack-3) unstable; urgency=low

  * Update configure script to activate last fix

 -- Ole Streicher <olebole@debian.org>  Mon, 21 Sep 2015 10:17:35 +0200

saods9 (7.4~b7+repack-2) experimental; urgency=low

  * Fix build on kfreebsd and hurd

 -- Ole Streicher <olebole@debian.org>  Fri, 18 Sep 2015 21:13:32 +0200

saods9 (7.4~b7+repack-1) experimental; urgency=low

  * New upstream beta version

 -- Ole Streicher <olebole@debian.org>  Fri, 18 Sep 2015 13:15:53 +0200

saods9 (7.4~b6+repack-1) experimental; urgency=low

  * New upstream beta version
  * Use Tcl/Tk stubs
  * Convert to multiarch

 -- Ole Streicher <olebole@debian.org>  Fri, 24 Jul 2015 13:14:19 +0200

saods9 (7.4~b5+repack-1) experimental; urgency=low

  * New upstream beta version
  * New packages tk-sao, saods9-tcl-packages
  * Make saods9 an architecture-independent package

 -- Ole Streicher <olebole@debian.org>  Tue, 07 Jul 2015 20:18:24 +0200

saods9 (7.4~b4+repack-3) experimental; urgency=low

  * Correct Breaks and Replaces for removed package

 -- Ole Streicher <olebole@debian.org>  Tue, 07 Jul 2015 17:48:42 +0200

saods9 (7.4~b4+repack-2) experimental; urgency=low

  * Merge saods9 and saods9-data
  * Create and use tcl packages for saotk, tcliis, tclcheckdns, tkmpeg

 -- Ole Streicher <olebole@debian.org>  Tue, 07 Jul 2015 14:53:05 +0200

saods9 (7.4~b4+repack-1) experimental; urgency=low

  * New upstream beta version

 -- Ole Streicher <olebole@debian.org>  Sat, 04 Jul 2015 14:11:18 +0200

saods9 (7.4~b3+repack-1) experimental; urgency=low

  * New upstream beta version

 -- Ole Streicher <olebole@debian.org>  Tue, 23 Jun 2015 14:43:50 +0200

saods9 (7.4~b2+repack-1) experimental; urgency=low

  * New upstream beta version

 -- Ole Streicher <olebole@debian.org>  Thu, 11 Jun 2015 10:10:28 +0200

saods9 (7.4~b1+repack-1) unstable; urgency=low

  * New upstream beta version

 -- Ole Streicher <olebole@debian.org>  Mon, 08 Jun 2015 16:51:46 +0200

saods9 (7.2.3+repack-3) unstable; urgency=low

  * New upstream beta version
  * Add CI tests (ds9 with and without XPA)
  * Remove unuspported BLT calls. Closes: #792122

 -- Ole Streicher <olebole@debian.org>  Sun, 12 Jul 2015 10:00:32 +0200
