=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
                cpio,
                debhelper (>= 9),
                dh-autoreconf,
+               dh-exec,
                html2text,
                libfuntools-dev,
                libstarlink-ast-dev (>= 7.0.4),
@@ -18,6 +19,7 @@
                libxt-dev,
                perl,
                tcl-signal,
+               tcl-xmlrpc,
                tcl-xpa,
                tcl8.6-dev,
                tcllib,
@@ -34,20 +36,25 @@
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-astro/packages/saods9.git
 
 Package: saods9
-Architecture: any
+Architecture: all
 Depends: blt (>= 2.5.3),
          libtk-img,
-         saods9-data (= ${source:Version}),
+         saods9-tclpackages,
          tcl-signal,
+         tcl-xmlrpc,
          tcl-xpa,
          tcllib,
          tclxml,
          tk-table (>= 2.9),
+         tk8.6,
          tkcon,
+         tksao,
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: saods9-doc
 Suggests: python-pyds9, xpa-tools
+Breaks: saods9-data (<< 7.4~b4+repack-2~)
+Replaces: saods9-data (<< 7.4~b4+repack-2~)
 Description: Image display tool for astronomy
  SAOImage DS9 is an astronomical imaging and data visualization
  application. DS9 supports FITS images and binary tables, multiple frame
@@ -67,6 +74,41 @@
  display, panner, magnifier, horizontal and vertical graphs, button bar, and
  color bar can be configured via menus or the command line.
 
+Package: tksao
+Architecture: any
+Depends: blt (>= 2.5.3), ${misc:Depends}, ${shlibs:Depends}
+Recommends: saods9-doc
+Suggests: saods9
+Multi-Arch: same
+Description: Tk widgets for astronomical imaging and data visualization
+ SAOTk is an integrated set of Tcl/Tk canvas widgets for astronomical
+ imaging and data visualization. The widget set is composed of the
+ Frame, Panner, Magnifier, and Colorbar widgets. In addition to
+ classical support for imaging FITS data, manipulating colormaps,
+ region marking, coordinate readout (including WCS), etc, SAOTk
+ widgets also support arbitrary image scaling and rotation, advanced
+ postscript printing, Truecolor graphic support, and image mosaics.
+ .
+ The SAOTk widgets are being used in a wide variety of astronomical
+ applications. These applications include general visualization and
+ analysis, real-time instrumentation and calibration, and interactive
+ modeling. These Tcl extensions can be utilized in any standard Tcl/Tk
+ environment to build custom data analysis and visualization
+ applications.
+
+Package: saods9-tclpackages
+Architecture: any
+Depends: tcl, tk, ${misc:Depends}, ${shlibs:Depends}
+Recommends: saods9
+Multi-Arch: same
+Description: Tcl/Tk packages provided with DS9
+ DS9 includes some extra Tcl/Tk packages that it needs for working. These
+ packages are tclcheckdns, tcliis, tkhtml1, tkmpeg.
+ .
+ This package is not meant to be used independently of saods9, since
+ the stability of the API and the presence of the individual packages is not
+ quaranteed.
+
 Package: saods9-doc
 Architecture: all
 Section: doc
@@ -79,15 +121,3 @@
  configurable and extensible via XPA and SAMP.
  .
  This package contains the documentation and help pages.
-
-Package: saods9-data
-Architecture: all
-Depends: ${misc:Depends}
-Description: Image display tool for astronomy (shared data)
- SAOImage DS9 is an astronomical imaging and data visualization
- application. DS9 supports FITS images and binary tables, multiple frame
- buffers, region manipulation, and many scale algorithms and colormaps. It
- provides for easy communication with external analysis tasks and is highly
- configurable and extensible via XPA and SAMP.
- .
- This package contains the architecture independent files.
