## saods9 7.4.1+repack

=== debian/changelog ===
saods9 (7.4.1+repack-3build1) yakkety; urgency=medium

  * No-change rebuild against latest wcstools

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 28 Aug 2016 17:26:46 -0400

saods9 (7.4.1+repack-3) unstable; urgency=low

  * Use tkblt instead of BLT
  * Don't close DS9 when closing the tkcon console
  * Suggest Python-3 version of pyds9
  * Push Standards-Version to 3.9.8 (no changes)

 -- Ole Streicher <olebole@debian.org>  Fri, 17 Jun 2016 08:49:11 +0200

saods9 (7.4.1+repack-2) unstable; urgency=low

  * Use external libs tkhtml1 and tkmpeg

 -- Ole Streicher <olebole@debian.org>  Thu, 02 Jun 2016 09:24:59 +0200

saods9 (7.4.1+repack-1) unstable; urgency=low

  * Update standards-version to 3.9.7 (no changes)
  * Update VCS fields, add ASCL-Id
  * New upstream version
  * Fix -Wnarrowing failure with gcc-6. Closes: #811753

 -- Ole Streicher <olebole@debian.org>  Thu, 17 Mar 2016 21:09:44 +0100
