=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Ole Streicher <olebole@debian.org>
 Build-Depends: autotools-dev,
-               blt-dev (>= 2.5.3),
                cpio,
                debhelper (>= 9),
                dh-autoreconf,
@@ -15,44 +14,46 @@
                libtk-img-dev,
                libwcstools-dev,
                libxml2-dev,
-               libxrandr-dev,
-               libxt-dev,
                perl,
+               tcl-dev (>= 8.6),
                tcl-signal,
                tcl-xmlrpc,
                tcl-xpa,
-               tcl8.6-dev,
                tcllib,
                tclxml,
+               tk-dev (>= 8.6),
+               tk-html1,
+               tk-mpeg,
                tk-table (>= 2.9),
-               tk8.6-dev,
+               tkblt-dev,
                tkcon,
                xauth,
-               xvfb,
-               zlib1g-dev
-Standards-Version: 3.9.6
+               xvfb
+Standards-Version: 3.9.8
 Homepage: http://ds9.si.edu/
-Vcs-Git: git://anonscm.debian.org/debian-astro/packages/saods9.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-astro/packages/saods9.git
+Vcs-Git: https://anonscm.debian.org/git/debian-astro/packages/saods9.git
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/saods9.git
 
 Package: saods9
 Architecture: all
-Depends: blt (>= 2.5.3),
-         libtk-img,
+Depends: libtk-img,
          saods9-tclpackages,
          tcl-signal,
          tcl-xmlrpc,
          tcl-xpa,
          tcllib,
          tclxml,
+         tk (>= 8.6),
+         tk-html1,
+         tk-mpeg,
          tk-table (>= 2.9),
-         tk8.6,
+         tkblt,
          tkcon,
          tksao,
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: saods9-doc
-Suggests: python-pyds9, xpa-tools
+Suggests: python3-pyds9, xpa-tools
 Breaks: saods9-data (<< 7.4~b4+repack-2~)
 Replaces: saods9-data (<< 7.4~b4+repack-2~)
 Description: Image display tool for astronomy
@@ -76,7 +77,7 @@
 
 Package: tksao
 Architecture: any
-Depends: blt (>= 2.5.3), ${misc:Depends}, ${shlibs:Depends}
+Depends: tkblt, ${misc:Depends}, ${shlibs:Depends}
 Recommends: saods9-doc
 Suggests: saods9
 Multi-Arch: same
@@ -98,12 +99,12 @@
 
 Package: saods9-tclpackages
 Architecture: any
-Depends: tcl, tk, ${misc:Depends}, ${shlibs:Depends}
+Depends: tcl, ${misc:Depends}, ${shlibs:Depends}
 Recommends: saods9
 Multi-Arch: same
 Description: Tcl/Tk packages provided with DS9
  DS9 includes some extra Tcl/Tk packages that it needs for working. These
- packages are tclcheckdns, tcliis, tkhtml1, tkmpeg.
+ packages are tclcheckdns and tcliis.
  .
  This package is not meant to be used independently of saods9, since
  the stability of the API and the presence of the individual packages is not
