=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-BUILDPARTS:=dirs tclcheckdns tkmpeg tkhtml tcliis tksao ds9
+BUILDPARTS:=dirs tclcheckdns tcliis tksao ds9
 
 get-orig-source:
 	sh ./debian/repack.sh
@@ -13,8 +13,6 @@
 override_dh_autoreconf:
 	(cd unix; autoreconf -i -f)
 	(cd ds9/unix; autoreconf -i -f)
-	(cd tkhtml1.0; autoreconf -i -f)
-	(cd tkmpeg1.0; autoreconf -i -f)
 	(cd tcliis1.0; autoreconf -i -f)
 	(cd tclcheckdns1.1; autoreconf -i -f)
 	(cd tksao1.0; autoreconf -i -f)
