## saods9 7.5+repack1

=== ds9/library/Makefile ===
--- 
+++ 
@@ -179,12 +179,10 @@
 	xmfbox.tcl \
 	xpa.tcl
 
-msgs	: FORCE
+.PHONY	: msgs clean
+
+msgs	:
 	grep 'msgcat::mc' $(SCRIPTS) | cut -d[ -f2 | sed -e 's/::mc/::mcset AAA /' -e 's/]/ ""/' | sort | uniq > ../msgs/tmpl.tcl
 
-clean	: FORCE
+clean	:
 	$(RM) core *~ *# 
-
-distclean : clean
-
-FORCE	:
