=== debian/changelog ===
saods9 (7.5+repack1-2) unstable; urgency=medium

  * Fix ds9 window class in desktop file
  * Fix problem with graphs and image zoomed out
  * Initialize tkblt stubs (Closes: #859777)

 -- Ole Streicher <olebole@debian.org>  Fri, 14 Apr 2017 13:42:38 +0200

saods9 (7.5+repack1-1) unstable; urgency=medium

  * Remove tests, MacOS and windows specific subdirs from tarball
  * Fix CI tests

 -- Ole Streicher <olebole@debian.org>  Sat, 17 Dec 2016 10:31:44 +0100

saods9 (7.5+repack-1) unstable; urgency=low

  * New upstream version 7.5+repack
  * Switch back to unstable
  * Add Github repo to d/u/metadata
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Fri, 16 Dec 2016 09:39:43 +0100

saods9 (7.5~rc.2+repack-1) experimental; urgency=low

  * New upstream version 7.5~rc2+repack
  * Insert a dot in version (rc.2) to workaround #840002

 -- Ole Streicher <olebole@debian.org>  Fri, 07 Oct 2016 10:33:42 +0200

saods9 (7.5~rc+repack-1) experimental; urgency=low

  * Imported Upstream version 7.5~rc+repack

 -- Ole Streicher <olebole@debian.org>  Fri, 16 Sep 2016 00:04:05 +0200

saods9 (7.5~b4+repack-1) experimental; urgency=low

  * Imported Upstream version 7.5~b4+repack

 -- Ole Streicher <olebole@debian.org>  Sat, 16 Jul 2016 09:54:36 +0200

saods9 (7.5~b3+repack-1) experimental; urgency=low

  * Imported Upstream version 7.5~b3+repack

 -- Ole Streicher <olebole@debian.org>  Thu, 14 Jul 2016 21:26:43 +0200

saods9 (7.5~b2+repack-1) experimental; urgency=low

  * Suggest Python-3 version of pyds9
  * Loose dependencies: depend on generic Tcl/Tk instead of 8.6
  * Remove obsolete build dependencies
  * Imported Upstream version 7.5~b2+repack

 -- Ole Streicher <olebole@debian.org>  Thu, 14 Jul 2016 09:52:57 +0200

saods9 (7.5~b1+repack1-2) experimental; urgency=low

  * Use tkblt instead of BLT

 -- Ole Streicher <olebole@debian.org>  Thu, 16 Jun 2016 16:44:28 +0200

saods9 (7.5~b1+repack1-1) experimental; urgency=low

  * Don't close DS9 when closing the tkcon console
  * Use external libs tkhtml1 and tkmpeg

 -- Ole Streicher <olebole@debian.org>  Thu, 02 Jun 2016 09:35:25 +0200

saods9 (7.5~b1+repack-1) experimental; urgency=low

  * New upstream beta release; switch to experimental
  * Push Standards-Version to 3.9.8 (no changes)

 -- Ole Streicher <olebole@debian.org>  Thu, 19 May 2016 21:45:01 +0200
