=== debian/control ===
--- 
+++ 
@@ -17,7 +17,6 @@
                perl,
                tcl-dev (>= 8.6),
                tcl-signal,
-               tcl-xmlrpc,
                tcl-xpa,
                tcllib,
                tclxml,
@@ -39,7 +38,6 @@
 Depends: libtk-img,
          saods9-tclpackages,
          tcl-signal,
-         tcl-xmlrpc,
          tcl-xpa,
          tcllib,
          tclxml,
@@ -113,6 +111,7 @@
 Package: saods9-doc
 Architecture: all
 Section: doc
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: Image display tool for astronomy (help files/documentation)
  SAOImage DS9 is an astronomical imaging and data visualization
