=== debian/rules ===
--- 
+++ 
@@ -13,21 +13,21 @@
 override_dh_autoreconf:
 	(cd unix; autoreconf -i -f)
 	(cd ds9/unix; autoreconf -i -f)
-	(cd tcliis1.0; autoreconf -i -f)
-	(cd tclcheckdns1.1; autoreconf -i -f)
-	(cd tksao1.0; autoreconf -i -f)
+	(cd tcliis; autoreconf -i -f)
+	(cd tclcheckdns; autoreconf -i -f)
+	(cd tksao; autoreconf -i -f)
 
 override_dh_auto_configure:
 	unix/configure
 
 override_dh_auto_build:
 	dh_auto_build -- $(BUILDPARTS)
-	chmod ugo-x ds9/unix/zipdir/zvfsmntpt/library/*.tcl
+	chmod ugo-x ds9/unix/zvfsmntpt/library/*.tcl
 	chmod ugo+x ds9/ds9
 	perl -w debian/generate-man > ds9/ds9.1
 
 override_dh_auto_test:
-	DS9_HOME=ds9/unix/zipdir/zvfsmntpt \
+	DS9_HOME=ds9/unix/zvfsmntpt \
 	TCLLIBPATH=lib/ \
 	xvfb-run --server-args="-screen 0 1024x768x24" \
 	./ds9/ds9 -quit
