=== debian/watch ===
version=3
opts=dversionmangle=s/\+repack.*//,repacksuffix=+repack \
    http://ds9.si.edu/site/Download.html \
    http://ds9.si.edu/.+/source/ds9\.(.*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
#opts=dversionmangle=s/\+repack.*//,repacksuffix=+repack,uversionmangle=s/(.+)([abr].+)/$1~$2/ \
#    http://ds9.si.edu/site/Beta.html \
#    http://ds9.si.edu/.+/source/ds9\.(.*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
